image: registry.gitlab.com/pages/hugo/hugo_extended:latest
variables:
  GIT_SUBMODULE_STRATEGY: recursive
pages:
  script:
  - hugo
  artifacts:
    paths:
    - public
  rules:
  - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH